###############################################################################
# Paul Gampe - <pgampe@redhat.com>
# TODO: Localize language names when rpm supports utf-8 spec files
###############################################################################
%define lang_code zh_cn
%define lang_name Simplified Chinese 

Copyright: distributable
Source: rhel-sg-%{lang_code}-%{version}.tbz
Release: 4
Name: rhel-sg-%{lang_code}
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 3
Summary: Red Hat Enterprise Linux %{version} Security Guide (%{lang_name})
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 

The %{lang_name} Red Hat Enterprise Linux %{version} Security Guide provides
comprehensive information about creating and maintaining secure Red Hat
Enterprise Linux systems. This guide details how to secure workstations and
servers against malicious intruders, verify system security, detect security
breaches, and react to an intrusion in the event one occurs.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Security Guide (%{lang_code})
Comment=Read about securing your system (%{lang_name})
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Thu Mar 25 2004 Paul Gampe <pgampe@redhat.com>
- Reverse localization of EMT

* Wed Mar 24 2004 Paul Gampe <pgampe@redhat.com>
- Further renaming changes

* Thu Mar 04 2004 Paul Gampe <pgampe@redhat.com>
- Renaming to x86-64

* Sun Sep 07 2003 Paul Gampe <pgampe@redhat.com>
- Initial release

